# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: libnghttp2
  version: 1.57.0
source:
  sha256: 1e3258453784d3b7e6cc48d0be087b168f8360b5d588c66bfeda05d07ad39ffd
  url: https://github.com/nghttp2/nghttp2/releases/download/v1.57.0/nghttp2-1.57.0.tar.gz
build:
  missing_dso_whitelist: null
  number: 0
  run_exports:
    - libnghttp2 >=1.57.0,<2.0a0
  string: hb788212_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 hfd63f10_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2023.08.22 hd43f75c_0
    - libev 4.33 hfd63f10_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - openssl 3.0.11 h2f4d8fa_2
    - zlib 1.2.13 h998d150_0
  run:
    - c-ares >=1.19.1,<2.0a0
    - c-ares >=1.7.5
    - libev >=4.11
    - libev >=4.33,<4.34.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - openssl >=3.0.11,<4.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - nghttp -nv https://nghttp2.org
    - test ! -f ${PREFIX}/lib/libnghttp2.a
    - test -f ${PREFIX}/lib/libnghttp2.so
about:
  description: 'This is an implementation of the Hypertext Transfer Protocol version
    2 in C.


    The framing layer of HTTP/2 is implemented as a reusable C library. On top

    of that, we have implemented an HTTP/2 client, server and proxy. We have

    also developed load test and benchmarking tools for HTTP/2.

    '
  dev_url: https://github.com/nghttp2/nghttp2
  doc_url: https://nghttp2.org/documentation/
  home: https://github.com/nghttp2/nghttp2
  license: MIT
  license_family: MIT
  license_file: COPYING
  summary: This is an implementation of Hypertext Transfer Protocol version 2.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c7a3c234-974a-45d7-ab19-e27a995e9c4c
  recipe-maintainers:
    - cpaulik
    - mariusvniekerk
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/nghttp2-feedstock.git
  sha: 1a799282b20250af4438083bef5673c53746bfe6
